XmlParser (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.xmlDefinition.XmlParser,XmlParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.xmlDefinition
Class XmlParser

    java.lang.Object
      |
      +--org.apache.struts.tiles.xmlDefinition.XmlParser

public class XmlParser
extends java.lang.Object

Parse an XML definitions file.

Field Summary
`protected org.apache.commons.digester.Digester` | `digester` Associated digester.
`protected java.lang.String[]` | `registrations` The set of public identifiers, and corresponding resource names for the versions of the configuration file DTDs we know about.
`protected boolean` | `validating` Should we use a validating XML parser to read the configuration file.

Constructor Summary
`XmlParser()` Constructor.

Method Summary
`protected void` | `initDigester(org.apache.commons.digester.Digester digester)` Init digester.
`private void` | `initDigesterForComponentsDefinitionsSyntax(org.apache.commons.digester.Digester digester)` Init digester for components syntax.
`private void` | `initDigesterForInstancesSyntax(org.apache.commons.digester.Digester digester)` Init digester in order to parse instances definition file syntax.
`private void` | `initDigesterForTilesDefinitionsSyntax(org.apache.commons.digester.Digester digester)` Init digester for Tiles syntax.
`static void` | `main(java.lang.String[] args)` Main method to check file syntax.
`void` | `parse(java.io.InputStream in, XmlDefinitionsSet definitions)` Parse input reader and add encountered definitions to definitions set.
`void` | `setDetailLevel(int detailLevel)` Deprecated. Use the commons-logging to set digester debug level.
`void` | `setValidating(boolean validating)` Set digester validating flag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### digester

    protected org.apache.commons.digester.Digester digester

  Associated digester.

### validating

    protected boolean validating

  Should we use a validating XML parser to read the configuration file. Default is `false`.

### registrations

    protected java.lang.String[] registrations

  The set of public identifiers, and corresponding resource names for the versions of the configuration file DTDs we know about. There MUST be an even number of Strings in this list!

Constructor Detail

### XmlParser

    public XmlParser()

  Constructor. Creates a digester parser and initializes syntax rules.

Method Detail

### setValidating

    public void setValidating(boolean validating)

  Set digester validating flag.

### setDetailLevel

    public void setDetailLevel(int detailLevel)

  Deprecated. Use the commons-logging to set digester debug level.

  Set digester detail level.

### initDigesterForComponentsDefinitionsSyntax

    private void initDigesterForComponentsDefinitionsSyntax(org.apache.commons.digester.Digester digester)

  Init digester for components syntax. This is an old set of rules, left for backward compatibility.

  Parameters:
    `digester` - Digester instance to use.

### initDigesterForTilesDefinitionsSyntax

    private void initDigesterForTilesDefinitionsSyntax(org.apache.commons.digester.Digester digester)

  Init digester for Tiles syntax. Same as components, but with first element = tiles-definitions

  Parameters:
    `digester` - Digester instance to use.

### initDigesterForInstancesSyntax

    private void initDigesterForInstancesSyntax(org.apache.commons.digester.Digester digester)

  Init digester in order to parse instances definition file syntax. Instances is an old name for "definition". This method is left for backwards compatibility.

  Parameters:
    `digester` - Digester instance to use.

### initDigester

    protected void initDigester(org.apache.commons.digester.Digester digester)

  Init digester.

  Parameters:
    `digester` - Digester instance to use.

### parse

    public void parse(java.io.InputStream in,
                      XmlDefinitionsSet definitions)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Parse input reader and add encountered definitions to definitions set.

  Parameters:
    `in` - Input stream.
    `definitions` - Xml Definitions set to which encountered definition are added.
  Throws:
    `java.io.IOException` - On errors during file parsing.
    `org.xml.sax.SAXException` - On errors parsing XML.

### main

    public static void main(java.lang.String[] args)

  Main method to check file syntax.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation